/*
 * jMax
 * Copyright (C) 1994, 1995, 1998, 1999 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * See file LICENSE for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Author : Paul-Mathieu Brossier <Paul.Brossier@ircam.fr>
 */

static int GFX_NB_PARAMS = 3;
static float GFX_DEF_PARAMS[3] = { 0.8, 10., 7. };

#include "template.c"

void
gfx_draw(fts_object_t *o)
{
  gfx_obj_t *this = (gfx_obj_t *)o;
  int temp_a = (int)fts_get_number_float(this->argv + 1) ;
  int temp_b = (int)fts_get_number_float(this->argv + 2) ;
  glutWireSphere( fts_get_number_float( this->argv + 0) ,10, 7);
}

void
gfx_wire_sphere_config(void)
{
  fts_class_install(fts_new_symbol("wiresphere"), gfx_instantiate);
}
