/*
 * jMax
 * Copyright (C) 1994, 1995, 1998, 1999 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * See file LICENSE for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Based on Max/ISPW by Miller Puckette.
 *
 * Authors: Maurizio De Cecco, Francois Dechelle, Enzo Maggi, Norbert Schnell.
 *
 */

#include <fts/fts.h>


extern void gfx_picture_config(void);
extern void texture_config(void);
extern void gfx_applytex_config(void);

static fts_class_t *texture_class;
static fts_symbol_t texture_symbol;
extern void _gfx_2do_config(void);

static void
//gfx_2do_config(void)
fts_io_init(void)
{
  //  _gfx_2do_config();

  texture_symbol = fts_new_symbol("texture");
  texture_config();

  gfx_picture_config();
  gfx_applytex_config();

}

fts_module_t gmax_2dobjects_module = {"gmax_2dobjects", "Gmax 2D Objects", fts_io_init, 0, 0};
